### A free/open-source library for quantitative finance

Classes
ql/experimental/exoticoptions/mcpagodaengine.hpp File Reference

Monte Carlo engine for pagoda options. More...

`#include <ql/experimental/exoticoptions/pagodaoption.hpp>`
`#include <ql/pricingengines/mcsimulation.hpp>`
`#include <ql/processes/blackscholesprocess.hpp>`
`#include <ql/processes/stochasticprocessarray.hpp>`
`#include <ql/exercise.hpp>`
Include dependency graph for mcpagodaengine.hpp:

## Classes

class | MCPagodaEngine< RNG, S >
| Pricing engine for pagoda options using Monte Carlo simulation. More...
class | MakeMCPagodaEngine< RNG, S >
| Monte Carlo pagoda-option engine factory. More...

## Detailed Description

Monte Carlo engine for pagoda options.